Function
assignQualId
Extracts the quality value id of a sequence file fragment.
assignQualId(id, seqFragment, formatTag)
Include Headers
seqan/file.h
Parameters

id | The resulting quality value id of a sequence (e.g. Fastq Quality Id). Types: CharString
seqFragment | A sequence file fragment. Types: String
formatTag | A file format tag. Types: AutoSeqFormat, File Format

Remarks
After calling split on a ConcatDirect StringSet to divide a file into fragments, this function can be used to extract the quality value id of every fragment in the StringSet.
See Also
split
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57